| index

Package cout_system_configuration Package containing the common utility system configuration routines used by the Access Manager application
Version
| $Revision: $
Author
| Andy Hardy

Program units

add_configuration_item_date | Add a date configuration item
add_configuration_item | Add a non-date configuration item
get_configuration_item_date | Get a date configuration item
get_configuration_item | Get a configuration item

Constants

g_date_format | Default date format for stored configuration items

g_date_format

    g_date_format CONSTANT VARCHAR2(80) := 'DD/MM/YYYY HH24:MI:SS';

Default date format for stored configuration items

add_configuration_item_date

    PROCEDURE add_configuration_item_date(p_parameter   IN system_configuration.parameter%TYPE
                                         ,p_value       IN DATE
                                         ,p_description IN system_configuration.description%TYPE := NULL)

Add a date configuration item

Parameters

| p_parameter | The name of the configuration item
| p_value | The value to be given to the configuration item
| p_description | The description of the configuration item

add_configuration_item

    PROCEDURE add_configuration_item(p_parameter   IN system_configuration.parameter%TYPE
                                    ,p_value       IN system_configuration.VALUE%TYPE DEFAULT NULL
                                    ,p_description IN system_configuration.description%TYPE := NULL)

Add a non-date configuration item

Parameters

| p_parameter | The name of the configuration item
| p_value | The value to be given to the configuration item
| p_description | The description of the configuration item

get_configuration_item_date

    FUNCTION get_configuration_item_date(p_parameter IN system_configuration.parameter%TYPE)
      RETURN DATE

Get a date configuration item

Parameters

| p_parameter | The name of the configuration item to be retrieved

Returns

| Value of the configuration item as a date

get_configuration_item

    FUNCTION get_configuration_item(p_parameter IN system_configuration.parameter%TYPE)
      RETURN system_configuration.VALUE%TYPE

Get a configuration item

Parameters

| p_parameter | The name of the configuration item to be retrieved

Returns

| Value of the configuration item